﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Styx.Helpers;

namespace Arma_Bellator
{
    public partial class AB_GUI : Form
    {
        public AB_GUI()
        {
            InitializeComponent();

            DO_IS.Value = new decimal(AB_Settings.Instance.DO_IS);
            DO_Retal.Value = new decimal(AB_Settings.Instance.DO_Retal);
            DO_SB.Value = new decimal(AB_Settings.Instance.DO_SB);
            DO_SW.Value = new decimal(AB_Settings.Instance.DO_SW);
            DO_BR.Checked = AB_Settings.Instance.DO_BR;
            DO_BS.Checked = AB_Settings.Instance.DO_BS;
            DO_DC.Checked = AB_Settings.Instance.DO_DC;
            DO_Reck.Checked = AB_Settings.Instance.DO_Reck;
            IO_AT.Checked = AB_Settings.Instance.IO_AT;
            IO_IS.Checked = AB_Settings.Instance.IO_IS;
            IO_Pum.Checked = AB_Settings.Instance.IO_Pum;
            IO_TD.Checked = AB_Settings.Instance.IO_TD;
            MO_BR.Checked = AB_Settings.Instance.MO_BR;
            MO_BS.Checked = AB_Settings.Instance.MO_BS;
            MO_Taunt.Checked = AB_Settings.Instance.MO_Taunt;
            MO_TD.Checked = AB_Settings.Instance.MO_TD;
            SHO_BRER.Value = new decimal(AB_Settings.Instance.SHO_BRER);
            SHO_ERRC.Value = new decimal(AB_Settings.Instance.SHO_ERRC);
            SHO_RC.Value = new decimal(AB_Settings.Instance.SHO_RC);
            SHO_VR.Value = new decimal(AB_Settings.Instance.SHO_VR);
            TOORO_C.Checked = AB_Settings.Instance.TOORO_C;
            TOORO_HL.Checked = AB_Settings.Instance.TOORO_HL;
            TOORO_I.Checked = AB_Settings.Instance.TOORO_I;
        }

        private void AB_GUI_Load(object sender, EventArgs e)
        {
            AB_Settings.Instance.Load();
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start("http://www.thebuddyforum.com/honorbuddy-forum/classes/warrior/52562-ira-caeli-arma-bellator.html");
            linkLabel1.LinkVisited = true;
        }

        #region Defensive Options
        private void DO_IS_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.DO_IS = (int)DO_IS.Value;
        }
        private void DO_Retal_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.DO_Retal = (int)DO_Retal.Value;
        }
        private void DO_SB_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.DO_SB = (int)DO_SB.Value;
        }
        private void DO_SW_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.DO_SW = (int)DO_SW.Value;
        }
        #endregion

        #region DPS Options
        private void DO_BR_CheckedChanged(object sender, EventArgs e)
        {
            if (DO_BR.Checked == true)
            {
                AB_Settings.Instance.DO_BR = true;
            }
            else
            {
                AB_Settings.Instance.DO_BR = false;
            }
        }
        private void DO_BS_CheckedChanged(object sender, EventArgs e)
        {
            if (DO_BS.Checked == true)
            {
                AB_Settings.Instance.DO_BS = true;
            }
            else
            {
                AB_Settings.Instance.DO_BS = false;
            }
        }
        private void DO_DC_CheckedChanged(object sender, EventArgs e)
        {
            if (DO_DC.Checked == true)
            {
                AB_Settings.Instance.DO_DC = true;
            }
            else
            {
                AB_Settings.Instance.DO_DC = false;
            }
        }
        private void DO_Reck_CheckedChanged(object sender, EventArgs e)
        {
            if (DO_Reck.Checked == true)
            {
                AB_Settings.Instance.DO_Reck = true;
            }
            else
            {
                AB_Settings.Instance.DO_Reck = false;
            }
        }
        #endregion

        #region Interrupt Options
        private void IO_AT_CheckedChanged(object sender, EventArgs e)
        {
            if (IO_AT.Checked == true)
            {
                AB_Settings.Instance.IO_AT = true;
            }
            else
            {
                AB_Settings.Instance.IO_AT = false;
            }
        }
        private void IO_IS_CheckedChanged(object sender, EventArgs e)
        {
            if (IO_IS.Checked == true)
            {
                AB_Settings.Instance.IO_IS = true;
            }
            else
            {
                AB_Settings.Instance.IO_IS = false;
            }
        }
        private void IO_Pum_CheckedChanged(object sender, EventArgs e)
        {
            if (IO_Pum.Checked == true)
            {
                AB_Settings.Instance.IO_Pum = true;
            }
            else
            {
                AB_Settings.Instance.IO_Pum = false;
            }
        }
        private void IO_TD_CheckedChanged(object sender, EventArgs e)
        {
            if (IO_TD.Checked == true)
            {
                AB_Settings.Instance.IO_TD = true;
            }
            else
            {
                AB_Settings.Instance.IO_TD = false;
            }
        }
        #endregion

        #region Miscellaneous Options
        private void MO_BR_CheckedChanged(object sender, EventArgs e)
        {
            if (MO_BR.Checked == true)
            {
                AB_Settings.Instance.MO_BR = true;
            }
            else
            {
                AB_Settings.Instance.MO_BR = false;
            }
        }
        private void MO_BS_CheckedChanged(object sender, EventArgs e)
        {
            if (MO_BS.Checked == true)
            {
                AB_Settings.Instance.MO_BS = true;
            }
            else
            {
                AB_Settings.Instance.MO_BS = false;
            }
        }
        private void MO_Taunt_CheckedChanged(object sender, EventArgs e)
        {
            if (MO_Taunt.Checked == true)
            {
                AB_Settings.Instance.MO_Taunt = true;
            }
            else
            {
                AB_Settings.Instance.MO_Taunt = false;
            }
        }
        private void MO_TD_CheckedChanged(object sender, EventArgs e)
        {
            if (MO_TD.Checked == true)
            {
                AB_Settings.Instance.MO_TD = true;
            }
            else
            {
                AB_Settings.Instance.MO_TD = false;
            }
        }
        #endregion

        #region Self-Heal Options
        private void SHO_BRER_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.SHO_BRER = (int)SHO_BRER.Value;
        }
        private void SHO_ERRC_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.SHO_ERRC = (int)SHO_ERRC.Value;
        }
        private void SHO_RC_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.SHO_RC = (int)SHO_RC.Value;
        }
        private void SHO_VR_ValueChanged(object sender, EventArgs e)
        {
            AB_Settings.Instance.SHO_VR = (int)SHO_VR.Value;
        }
        #endregion

        #region Target OOR Options
        private void TOORO_C_CheckedChanged(object sender, EventArgs e)
        {
            if (TOORO_C.Checked == true)
            {
                AB_Settings.Instance.TOORO_C = true;
            }
            else
            {
                AB_Settings.Instance.TOORO_C = false;
            }
        }
        private void TOORO_HL_CheckedChanged(object sender, EventArgs e)
        {
            if (TOORO_HL.Checked == true)
            {
                AB_Settings.Instance.TOORO_HL = true;
            }
            else
            {
                AB_Settings.Instance.TOORO_HL = false;
            }
        }
        private void TOORO_I_CheckedChanged(object sender, EventArgs e)
        {
            if (TOORO_I.Checked == true)
            {
                AB_Settings.Instance.TOORO_I = true;
            }
            else
            {
                AB_Settings.Instance.TOORO_I = false;
            }
        }
        #endregion

        #region Rotation Options
        #endregion

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("AB Settings have been saved", "Save");
            AB_Settings.Instance.Save();
            Logging.Write(Color.LightGoldenrodYellow, "Settings Saved");
            Close();
        }
    }
}
