﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx.Helpers;
using System.IO;
using Styx;

namespace Arma_Bellator
{
    public partial class AB_Settings : Settings
    {
        public static readonly AB_Settings Instance = new AB_Settings();
        public AB_Settings()
            : base(Path.Combine(Logging.ApplicationPath, string.Format(@"CustomClasses/Config/AB-Settings-{0}.xml", StyxWoW.Me.Name)))
        {
        }

        #region Defensive Options
        [Setting, DefaultValue(0)]
        public int DO_IS { get; set; }

        [Setting, DefaultValue(0)]
        public int DO_Retal { get; set; }

        [Setting, DefaultValue(0)]
        public int DO_SB { get; set; }

        [Setting, DefaultValue(0)]
        public int DO_SW { get; set; }
        #endregion

        #region DPS Options
        [Setting, DefaultValue(false)]
        public bool DO_BR { get; set; }

        [Setting, DefaultValue(false)]
        public bool DO_BS { get; set; }

        [Setting, DefaultValue(false)]
        public bool DO_DC { get; set; }

        [Setting, DefaultValue(false)]
        public bool DO_Reck { get; set; }
        #endregion

        #region Interrupt Options
        [Setting, DefaultValue(false)]
        public bool IO_AT { get; set; }

        [Setting, DefaultValue(false)]
        public bool IO_IS { get; set; }

        [Setting, DefaultValue(false)]
        public bool IO_Pum { get; set; }

        [Setting, DefaultValue(false)]
        public bool IO_TD{ get; set; }
        #endregion

        #region Miscellaneous Options
        [Setting, DefaultValue(false)]
        public bool MO_BR { get; set; }

        [Setting, DefaultValue(false)]
        public bool MO_BS { get; set; }

        [Setting, DefaultValue(false)]
        public bool MO_Taunt { get; set; }

        [Setting, DefaultValue(false)]
        public bool MO_TD { get; set; }
        #endregion

        #region Self-Heal Options
        [Setting, DefaultValue(0)]
        public int SHO_BRER{ get; set; }

        [Setting, DefaultValue(0)]
        public int SHO_ERRC { get; set; }

        [Setting, DefaultValue(0)]
        public int SHO_RC{ get; set; }

        [Setting, DefaultValue(0)]
        public int SHO_VR{ get; set; }
        #endregion

        #region Target OOR Options
        [Setting, DefaultValue(false)]
        public bool TOORO_C { get; set; }

        [Setting, DefaultValue(false)]
        public bool TOORO_HL { get; set; }

        [Setting, DefaultValue(false)]
        public bool TOORO_I { get; set; }
        #endregion

        #region Rotation Options
        #endregion
    }
}
