﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx.Combat.CombatRoutine;
using Styx.Logic.Combat;
using Styx.WoWInternals.WoWObjects;
using Styx.WoWInternals;
using Styx.Helpers;
using System.Drawing;
using Styx;

namespace Arma_Bellator
{
    public partial class Classname : CombatRoutine
    {
        public sealed override string Name { get { return "Arma Bellator v6.5.12 - Arms Warrior PvP"; } }
        public override WoWClass Class { get { return WoWClass.Warrior; } }
        private static LocalPlayer Me { get { return ObjectManager.Me; } }
        private void slog(string format, params object[] args) { Logging.Write(format, args); }
        public override void Initialize()
        {
            Logging.Write(Color.DarkOrange, "Hello {0}!", Me.Name);
            Logging.Write(Color.White, "");
            Logging.Write(Color.DarkOrange, "Thank you for choosing Ira Caeli:");
            Logging.Write(Color.DarkOrange, "This CC is for use with LazyRaider/RaidBot only!");
            Logging.Write(Color.White, "");
            Logging.Write(Color.DarkOrange, "Current Version:");
            Logging.Write(Color.DarkOrange, "-- Ira Caeli ~ Arma Bellator v6.5.12 --");
            Logging.Write(Color.DarkOrange, "-- by Dagradt --");
            Logging.Write(Color.DarkOrange, "-- A Warrior Custom Class --");
            {
                System.Media.SoundPlayer AB_Intro = new System.Media.SoundPlayer();
                AB_Intro.SoundLocation = Logging.ApplicationPath + @"\CustomClasses\AB v6.5.12\Resources\AB Intro.wav";
                AB_Intro.Play();
                Logging.Write(Color.White, "");
            }
            ResetAllMacros();
        }
        public override bool WantButton { get { return true; } }
        public override void OnButtonPress() { Arma_Bellator.AB_GUI GUI = new Arma_Bellator.AB_GUI(); GUI.ShowDialog(); }
        public override bool NeedPreCombatBuffs { get { Charge(); HeroicLeap(); PreCombatBattleShout(); PreCombatBattleStance(); return false; } }
        public override void PreCombatBuff() { return; }
        public override bool NeedPullBuffs { get { Charge(); HeroicLeap(); return false; } }
        public override void PullBuff() { return; }

        #region Pull
        public override void Pull()
        {
            using (new FrameLock())
            {
                #region Stop Pull() Macro
            int Manual = Lua.GetReturnVal<int>("return Manual and 0 or 1", 0);
            if (Manual != 1)
            {
                Logging.Write(Color.Red, "Manual Mode Activated");
                return;
            }
            #endregion

                if (StyxWoW.Me.GotTarget && StyxWoW.Me.CurrentTarget != null && StyxWoW.Me.CurrentTarget.IsAlive && StyxWoW.Me.CurrentTarget.Attackable)
                { Charge(); HeroicLeap(); }
            }
        }
        #endregion

        public override bool NeedCombatBuffs { get { return false; } }
        public override void CombatBuff() { return; }
        public override bool NeedHeal { get { RallyingCry(); VictoryRush(); return false; } }
        public override void Heal() { return; }

        #region Combat
        int MultiCastMacroMT = 0;
        int MultiCastMacroFT = 0;
        string WhatSpell;
        WoWSpell _Spell;
        public override void Combat()
        {
            using (new FrameLock())
            {
                #region MultiCast Macro
            using (new FrameLock())
            {
                MultiCastMacroMT = Lua.GetReturnVal<int>("return MultiCastMT", 0);
                MultiCastMacroFT = Lua.GetReturnVal<int>("return MultiCastFT", 0);
                WhatSpell = Lua.GetReturnVal<String>("return SpellName", 0);
            }
            if (MultiCastMacroMT > 0 || MultiCastMacroFT > 0)
            {
                if (WhatSpell == null)
                {
                    Logging.Write(Color.DarkOrange, "");
                    Logging.Write(Color.Red, "Invalid Spell");
                    Logging.Write(Color.DarkOrange, "");
                    Logging.Write(Color.DarkOrange, "=========================");
                    ResetAllMacros();
                }
                else
                {
                    SpellManager.Spells.TryGetValue(WhatSpell, out _Spell);
                    if (!_Spell.IsValid || _Spell.CooldownTimeLeft > SpellManager.GlobalCooldownLeft)
                    {
                        Logging.Write(Color.DarkOrange, "");
                        Logging.Write(Color.Red, "Can't cast spell");
                        Logging.Write(Color.DarkOrange, "");
                        Logging.Write(Color.DarkOrange, "=========================");
                        ResetAllMacros();
                    }
                }
            }
            if (MultiCastMacroMT > 0)
            {
                if (SpellManager.GlobalCooldown || StyxWoW.Me.IsCasting)
                    return;
                if (StyxWoW.Me.CurrentTarget.InLineOfSight)
                {
                    if (SpellManager.CanCast(WhatSpell))
                    {
                        Lua.DoString("RunMacroText(\"/cast " + WhatSpell + "\")");
                        LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                        ResetMacro("MultiCastMT");
                    }
                }
                else
                {
                    ResetMacro("MultiCastMT");
                }
            }
            else if (MultiCastMacroFT > 0)
            {
                if (SpellManager.GlobalCooldown || StyxWoW.Me.IsCasting)
                    return;
                if (StyxWoW.Me.FocusedUnit.InLineOfSight)
                {
                    if (SpellManager.CanCast(WhatSpell))
                    {
                        Lua.DoString("RunMacroText(\"/cast [target=focus] " + WhatSpell + "\")");
                        LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.FocusedUnit.Location);
                        ResetMacro("MultiCastFT");
                    }
                }
                else
                {
                    ResetMacro("MultiCastFT");
                }
            }
            #endregion

                #region Self-Heal Macro
            #endregion
                
                #region Stance Dance Macro
            int Defensive = Lua.GetReturnVal<int>("return Defensive and 0 or 1", 0);
            if (Defensive != 1)
            { MacroBattleStance(); TwoHander(); }
            else
            { MacroDefensiveStance(); OneHanderWithShield(); }
            #endregion

                #region Stop Combat() Macro
            int Manual = Lua.GetReturnVal<int>("return Manual and 0 or 1", 0);
            if (Manual != 1)
            {
                Logging.Write(Color.Red, "Manual Mode Activated");
                return;
            }
            #endregion

                if (StyxWoW.Me.GotTarget && StyxWoW.Me.CurrentTarget != null && StyxWoW.Me.CurrentTarget.IsAlive && StyxWoW.Me.CurrentTarget.Attackable)
                { BerserkerRageCCBreak(); BladestormCCBreak(); Charge(); HeroicLeap(); }
                {
                    { if (IsTargetBoss()) { Boss(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.DeathKnight && !IsTargetBoss()) { DeathKnight(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Druid && !IsTargetBoss()) { Druid(); } }
                    { if (IsTargetDummy()) { Dummy(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Hunter && !IsTargetBoss()) { Hunter(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Mage && !IsTargetBoss()) { Mage(); } }
                    { if (IsTargetNPC() && !IsTargetBoss() && !IsTargetDummy()) { NPC(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Paladin && !IsTargetBoss()) { Paladin(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Priest && !IsTargetBoss()) { Priest(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Rogue && !IsTargetBoss()) { Rogue(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Shaman && !IsTargetBoss()) { Shaman(); } }
                    { if (IsTargetVehicle()) { Vehicle(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Warlock && !IsTargetBoss()) { Warlock(); } }
                    { if (StyxWoW.Me.CurrentTarget.Class == WoWClass.Warrior && !IsTargetBoss() && !IsTargetDummy() && !IsTargetNPC() && !IsTargetVehicle()) { Warrior(); } }
                }
            }
        }
        #endregion
    }
}