﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx.Combat.CombatRoutine;
using Styx;
using Styx.Logic.Combat;
using Styx.WoWInternals;

namespace Arma_Bellator
{
    public partial class Classname : CombatRoutine
    {
        #region Druid
        public void Druid()
        {
            using (new FrameLock())
            {
                { AutoAttack(); DemoralizingShout(); Hamstring(); IntimidatingShout(); ISRupt(); PiercingHowl(); Pummel(); Retaliation(); }

                {
                    if (StyxWoW.Me.Auras.ContainsKey("Battle Stance") || StyxWoW.Me.Auras.ContainsKey("Berserker Stance"))
                    {
                        { Throwdown(); ThrowdownRupt(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 ||
                                StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        {
                            BerserkerStance();
                        }
                        {
                            BattleStance();
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash"))
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 90)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.Auras.ContainsKey("Taste for Blood") || SpellManager.CanCast("Overpower")))
                            {
                                CastSpell("Overpower");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && DebuffTimeLeft("Colossus Smash", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
                {
                    if (StyxWoW.Me.Auras.ContainsKey("Defensive Stance"))
                    {
                        { Intervene(); ShieldBlock(); ShieldWall(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 || StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Thunder Clap"))
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Revenge");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && DebuffTimeLeft("Thunder Clap", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
            }
        }
        #endregion

        #region Hunter
        public void Hunter()
        {
            using (new FrameLock())
            {
                { AutoAttack(); DemoralizingShout(); Hamstring(); IntimidatingShout(); ISRupt(); PiercingHowl(); Pummel(); Retaliation(); }

                {
                    if (StyxWoW.Me.Auras.ContainsKey("Battle Stance") || StyxWoW.Me.Auras.ContainsKey("Berserker Stance"))
                    {
                        { Throwdown(); ThrowdownRupt(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 ||
                                StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        {
                            BerserkerStance();
                        }
                        {
                            BattleStance();
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash"))
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 90)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.Auras.ContainsKey("Taste for Blood") || SpellManager.CanCast("Overpower")))
                            {
                                CastSpell("Overpower");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && DebuffTimeLeft("Colossus Smash", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
                {
                    if (StyxWoW.Me.Auras.ContainsKey("Defensive Stance"))
                    {
                        { Intervene(); ShieldBlock(); ShieldWall(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 || StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Thunder Clap"))
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Revenge");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && DebuffTimeLeft("Thunder Clap", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
            }
        }
        #endregion

        #region Shaman
        public void Shaman()
        {
            using (new FrameLock())
            {
                { AutoAttack(); DemoralizingShout(); Hamstring(); IntimidatingShout(); ISRupt(); PiercingHowl(); Pummel(); Retaliation(); }

                {
                    if (StyxWoW.Me.Auras.ContainsKey("Battle Stance") || StyxWoW.Me.Auras.ContainsKey("Berserker Stance"))
                    {
                        { Throwdown(); ThrowdownRupt(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 ||
                                StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        {
                            BerserkerStance();
                        }
                        {
                            BattleStance();
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash"))
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 90)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.Auras.ContainsKey("Taste for Blood") || SpellManager.CanCast("Overpower")))
                            {
                                CastSpell("Overpower");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && DebuffTimeLeft("Colossus Smash", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
                {
                    if (StyxWoW.Me.Auras.ContainsKey("Defensive Stance"))
                    {
                        { Intervene(); ShieldBlock(); ShieldWall(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 || StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Thunder Clap"))
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Revenge");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && DebuffTimeLeft("Thunder Clap", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
            }
        }
        #endregion

        #region Rogue
        public void Rogue()
        {
            using (new FrameLock())
            {
                { AutoAttack(); DemoralizingShout(); Hamstring(); IntimidatingShout(); ISRupt(); PiercingHowl(); Pummel(); Retaliation(); }

                {
                    if (StyxWoW.Me.Auras.ContainsKey("Battle Stance") || StyxWoW.Me.Auras.ContainsKey("Berserker Stance"))
                    {
                        { Throwdown(); ThrowdownRupt(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 ||
                                StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        {
                            BerserkerStance();
                        }
                        {
                            BattleStance();
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash"))
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 90)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.Auras.ContainsKey("Taste for Blood") || SpellManager.CanCast("Overpower")))
                            {
                                CastSpell("Overpower");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Execute");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && DebuffTimeLeft("Colossus Smash", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Colossus Smash");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
                {
                    if (StyxWoW.Me.Auras.ContainsKey("Defensive Stance"))
                    {
                        { Intervene(); ShieldBlock(); ShieldWall(); }

                        #region Priority Rotation
                        {
                            CastSpell("Blood Fury");
                        }
                        {
                            if (AB_Settings.Instance.TOORO_HL && StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Colossus Smash") && StyxWoW.Me.CurrentTarget.Distance >= 8d &&
                                StyxWoW.Me.CurrentTarget.Distance <= 40d)
                            {
                                CastSpell("Heroic Leap");
                                {
                                    LegacySpellManager.ClickRemoteLocation(StyxWoW.Me.CurrentTarget.Location);
                                }
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BR && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 1.5 && StyxWoW.Me.CurrentRage <= 95)
                            {
                                CastSpell("Berserker Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_DC && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Deadly Calm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm") &&
                                SpellManager.Spells["Deadly Calm"].CooldownTimeLeft.TotalSeconds > 15)
                            {
                                CastSpell("Inner Rage");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_Reck && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentTarget.HealthPercent > 90 || StyxWoW.Me.CurrentTarget.HealthPercent <= 20))
                            {
                                CastSpell("Recklessness");
                            }
                        }
                        //sweeping_strikes,if=target.adds>0,use_off_gcd=1
                        //cleave,if=target.adds>0,use_off_gcd=1
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Rend"))
                            {
                                CastSpell("Rend");
                            }
                        }
                        {
                            if (AB_Settings.Instance.DO_BS && StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && !StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))//&& !StyxWoW.Me.Auras.ContainsKey("Sweeping Strikes"))
                            {
                                CastSpell("Bladestorm");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent > 20)
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && !StyxWoW.Me.CurrentTarget.Auras.ContainsKey("Thunder Clap"))
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        //execute,if=buff.executioner_talent.remains<1.5
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 && (DebuffTimeLeft("Rend", StyxWoW.Me.CurrentTarget) < 3 ||
                                !StyxWoW.Me.Auras.ContainsKey("Enrage") || StyxWoW.Me.CurrentRage <= 25 || StyxWoW.Me.CurrentRage >= 35))
                            {
                                CastSpell("Mortal Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                            {
                                CastSpell("Revenge");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.Distance <= 8 && DebuffTimeLeft("Thunder Clap", StyxWoW.Me.CurrentTarget) <= 1.5)
                            {
                                CastSpell("Thunder Clap");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && (StyxWoW.Me.CurrentRage >= 35 || StyxWoW.Me.Auras.ContainsKey("Battle Trance") ||
                                StyxWoW.Me.Auras.ContainsKey("Deadly Calm")))
                            {
                                CastSpell("Slam");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Deadly Calm"))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentRage > 85)
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent > 20 &&
                                StyxWoW.Me.CurrentRage >= 60)//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.Auras.ContainsKey("Inner Rage") && StyxWoW.Me.CurrentTarget.HealthPercent <= 20 &&
                                (StyxWoW.Me.CurrentRage >= 60 || StyxWoW.Me.Auras.ContainsKey("Battle Trance")))//|| (set_bonus.tier13_2pc_melee&rage>=50))
                            {
                                CastSpell("Heroic Strike");
                            }
                        }
                        {
                            if (StyxWoW.Me.CurrentRage < 60)
                            {
                                CastSpell("Battle Shout");
                            }
                        }
                        {
                            if (!StyxWoW.Me.CurrentTarget.IsWithinMeleeRange && StyxWoW.Me.CurrentTarget.Distance <= 30d)
                            {
                                CastSpell("Heroic Throw");
                            }
                        }
                        #endregion
                    }
                }
            }
        }
        #endregion
    }
}
